Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.util
Class QTVector

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.util.QTVector

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  EditList, SampleReferenceVector

public abstract class QTVector
extends QTPointerRef
implements quicktime.jdirect.QuickTimeLib

This class represents a Vector of uniform sized objects into a handle.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`java.util.Enumeration` | `elements()`
`int` | `getSize()` Returns the size of the QTPionter
`boolean` | `isEmpty()`
`void` | `remove(int pos)` remove element at specified position
`void` | `removeAll()`
`int` | `size()`

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### remove

    public void remove(int pos)
                throws java.lang.ArrayIndexOutOfBoundsException,
                       UtilException

  remove element at specified position

### isEmpty

    public boolean isEmpty()

### removeAll

    public void removeAll()
                   throws UtilException

### getSize

    public int getSize()

  Description copied from class: `QTPointerRef`
  Returns the size of the QTPionter
  Overrides:
    `getSize` in class `QTPointerRef`

### size

    public int size()

### elements

    public java.util.Enumeration elements()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD